Subject: RE: Status of Autoconfig Draft

From: "Hattig, Myron" <[email-masked]>
Date: Mon, 16 Oct 2000 08:59:14 -0700

I agree completely with Bernard. The draft has great value, but I'm uneasy
with it in its current form. The uneasiness comes from suggesting new things
(scope addressing for IPv4) and documenting current implementations (autonet
in windows & macOS). Separation of topics allows a discussion to take place
on the new ideas. I've been slow to start a discussion on the new ideas in
part because I'd like to see autonet clearly documented in an RFC.

-myron

> -----Original Message-----
> From: Bernard Aboba [mailto:[email-masked]]
> Sent: Sunday, October 08, 2000 1:21 PM
> To: DHCPv4 discussion list
> Cc: DHCPv4 discussion list; [email-masked]
> Subject: RE: Status of Autoconfig Draft
> 
> 
> >We should have two parallel drafts (standards
> >track and informational, respectively) that proceed 
> >independently.  I think that's a bad idea, as some folks 
> >will get confused and implement the legacy version where 
> >we'd really like them to implement the standard one in the 
> >future.
> 
> The confusion arises from the fact that 
> draft-dhc-ipv4-autoconf-05.txt today combines description
> of existing practice along with recommendations on future
> implementations. I would recommend that all portions
> of the draft referring to non-implemented functionality
> (such as the DHCP option for control of auto-config 
> behavior) be removed, and that the draft state clearly that it
> is not a standards track document. The new draft would
> focus solely on documenting the functionality shipped
> in MacOS and Windows. It is also ok if this draft were
> to point out various weaknesses of the legacy approach. 
> 
> We could then move forward with a separate standards
> track document. 
> 
>